$(function () {
    // tab select
    var $lastTab = $('.updates .tab.selected');
    var $lastMsg = $('.updates [id^=content-][class!=hidden]');

    $('.updates [id^=tab-]').each(function (idx) {
        var $tab = $(this);
        var attr = $tab.attr('id');
        var block = attr.substring(attr.lastIndexOf('-') + 1);
        var $msg = $('.updates [id^=content-' + block + ']');

        $tab.click(function () {
            $lastTab.removeClass('selected');
            $lastMsg.addClass('hidden');

            $tab.addClass('selected');
            $msg.removeClass('hidden');

            $lastTab = $tab;
            $lastMsg = $msg;
        })
    });

    // extending list
    $.post(g_URLdir + 'handler/news', function (res) {
        var $updates = $('.updates');
        var data = JSON.parse(res);

        for (var block in data) {
            if (data.hasOwnProperty(block)) {
                var $content = $updates.find('#content-' + block);
                var $main = $content.find('.extra');
                var $button = $content.find('.expand');
                addBlocks($main, $button, data[block]);
                if (block === 'syncs') {
                    $content.addClass('sync-dates-list');
                }
            }
        }
    });

    function addBlocks($elem, $tumbler, messages) {
        $.each(messages, function () {
            $elem.append('<h3>' + this.date + '</h3>');
            $elem.append(this.text);
        });

        if (messages.length) $tumbler.show();
    }

    $('.updates [id^=content-]').each(function (idx) {
        var $content = $(this);
        var $button = $content.find('.expand');
        var $extra = $content.find('.extra');
        var hidden = 'hidden';

        $button.click(function () {
            if ($extra.hasClass(hidden)) {
                $extra.removeClass(hidden);
                $button.text('Скрыть');
            } else {
                $extra.addClass(hidden);
                $button.text('Ещё');
            }
        });
    });
});
